Results 1 to 13 of 13

Thread: GD module for perl

  1. #1

    Default GD module for perl

    Hello,
    can any one help with GD module for perl.

    Server Error
    The following required Perl modules are not installed on this server:


    GD


    Please contact your server administrator or hosting company to install these modules.

    Perl modules can be downloaded from www.cpan.org or installed using the programs ppm or cpan that comes with perl in the same bin directory. To install perl module, run the program ppm or cpan or perl -MCPAN -e shell, then type install module_name. Root access required for this action.

    I don't know any thing about perl, or how do I install it.

    Jc



  2. #2

    Default

    Dag's RPMforge yum repository has a perl-GD package.



  3. #3

    Default : GD module for perl

    Quote Originally Posted by breun View Post
    Dag's RPMforge yum repository has a perl-GD package.
    I install perl-GD-2.35-1.fc5.src.rpm for Fedora 5 but now the perl stop working

    Jc



  4. #4

    Default

    That makes no sense since a src.rpm is a *source* package which just contains the sources to build the package yourself and doesn't change anything about your Perl installation.

    If you want perl-GD, add that yum repository and 'yum install perl-GD' to get what you want.

    You realize Fedora Core 5 reached End Of Life on 29 June 2007 as far as The Fedora Project is concerned? This means no more security fixes will be released for this distribution. I believe Dag might no longer support this release either.



  5. #5

    Default

    Hello,
    how do i remoe it, I try yum uninstall and remove and keep getting gettlng

    No Match for argument: perl-GD-2.35-1.fc5.src.rpm
    No Packages marked for removal

    Jc



  6. #6

    Default

    You can't uninstall source packages via yum. You'll have to remove the files yourself (probably under /usr/src). Keeping them shouldn't interfere with anything though.



  7. #7

    Default perl-GD

    I have install both perl-GD-2.35-1.fc5.i386.rpm and
    perl-GD-2.35-1.fc5.src.rpm

    but I still cannot get pass this server error


    GD
    Perl modules can be downloaded from www.cpan.org or installed using the programs ppm or cpan that comes with perl in the same bin directory. To install perl module, run the program ppm or cpan or perl -MCPAN -e shell, then type install module_name. Root access required for this action.

    Do any one know the type of perl GD that has to install

    JC



  8. #8

    Default

    Did you restart apache after you installed perl-GD?
    Parallels Certified Automation Professional | Parallels Product Expert | Lemonbit Internet | lemonbit.com



  9. #9

    Default

    Yes, I restart the server



  10. #10

    Default

    What software is showing this error?
    Parallels Certified Automation Professional | Parallels Product Expert | Lemonbit Internet | lemonbit.com



  11. #11

  12. #12
    Bit Poster
    Join Date
    Jan 2008
    Posts
    4

    Default

    Actually, the link works ... probably cache ?
    By the way, it is useful to check the domain's error log for non-working cgi.



  13. #13

    Default GD module for perl

    I install it

    I got it here
    http://www.boutell.com/gd/http/gd-2.0.33.tar.gz

    then, unpack and install

    tar xvf gd-2.0.33.tar
    cd gd-2.0.33
    ./configure
    make
    make install

    then reinstall the latest GD perl module using cpan:
    perl -MCPAN -e shell
    CPAN>install GD



Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •